import request from '@/request';
import { Menu } from '@/models';

const BASE_URL = '/admin-api/system/menu';

export default {
    getMenuList: (params?: { name?: string, status?: number }) => {
        return request.get<Menu[]>(`${BASE_URL}/list`, { params });
    },
    
    // 获取菜单详情
    getMenu: (id: number) => {
        return request.get(`${BASE_URL}/get`, { params: { id } })
    },

    // 新增菜单
    createMenu: (data: Menu) => {
        return request.post(`${BASE_URL}/create`, data)
    },

    // 修改菜单
    updateMenu: (data: Menu) => {
        return request.put(`${BASE_URL}/update`, data)
    },

    deleteMenu: (params: { id: number }) => {
        return request.delete(`${BASE_URL}/delete`, { params })
    },

    // 查询菜单（精简）列表
    listSimpleMenusApi: () => {
        return request.get<Menu[]>(`${BASE_URL}/list-all-simple`);
    }

};
