import request from '@/request';
import { RolePageReqVO, RoleVO, UpdateStatusReqVO, PageData } from '@/models';

const BASE_URL = '/admin-api/system/role';

export default {
    // 查询角色列表
    getRoleList: (params: RolePageReqVO) => {
        return request.get<PageData<RoleVO>>(`${BASE_URL}/page`, {params});
    },

    // 查询角色（精简)列表
    listSimpleRoles: () => {
        return request.get(`${BASE_URL}/list-all-simple`);
    },

    // 查询角色详情
    getRole: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`);
    },

    // 新增角色
    createRole: (data: RoleVO) => {
        return request.post(`${BASE_URL}/create`, data);
    },

    // 修改角色
    updateRole: (data: RoleVO) => {
        return request.put(`${BASE_URL}/update`, data);
    },

    // 修改角色状态
    updateRoleStatus: (data: UpdateStatusReqVO) => {
        return request.put(`${BASE_URL}/update-status`, data);
    },

    // 删除角色
    deleteRole: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },

};
